DPGEN_NAND2(3)

NAME
DPGEN_NAND2 - NAND2 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_NAND2, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits two inputs NAND with an output power of drive named modelname.

Valid drive are : 1 or 4.

  TERMINAL NAMES

1.  i1 : input.

2.  i0 : input.

3.  nq : output.

4.  vdd : power.

5.  vss : ground.

  BEHAVIOR
nq <= not(i0 and i1)

EXAMPLE

GENLIB_MACRO(DPGEN_NAND2, "model_nand2_32"
                       , F_BEHAV|F_PLACE
                       , 32
                       , 1
                       );
GENLIB_LOINS( "model_nand2_32"
            , "instance1_nand2_32"
            , "i1[31:0]"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)